'use strict';

var RelatorioADMFinanceiroController = angular.module('RelatorioADMFinanceiroController', []);

RelatorioADMFinanceiroController.controller('RelatorioADMFinanceiroCtrl', ['$scope', '$filter', 'Relatorio', 'CacheApp',
  ($scope, $filter, Relatorio, CacheApp) => {
      $scope.construcao = CacheApp.getConstrucao();

      $scope.relatorio = {};
      $scope.relatorio.DataInicio = new Date($scope.construcao.DataInicio ? $filter("date")($scope.construcao.DataInicio, 'yyyy-MM-ddT00:00:00Z') : $filter("date")(Date.now(), 'yyyy-MM-ddT00:00:00Z'));
      $scope.relatorio.DataFim = new Date($scope.construcao.DataFim ? $filter("date")($scope.construcao.DataFim, 'yyyy-MM-ddT00:00:00Z') : $filter("date")(Date.now(), 'yyyy-MM-ddT00:00:00Z'));

      $scope.getRelatorioADMFinanceiro = () => {
          $scope.planejado = {};
          Relatorio.getRelatorioADMFinanceiro($scope.construcao.Id, $filter("date")($scope.relatorio.DataInicio, 'yyyy-MM-dd'), $filter("date")($scope.relatorio.DataFim, 'yyyy-MM-dd'),
              (data) => {
                  $scope.planejado = data.Instance;
              });
      }
      $scope.getRelatorioADMFinanceiro();

  }]);
